pcl::segmentation::grabcut::Gaussian Struct Reference

Gaussian structure. More...

`#include <pcl/segmentation/grabcut_segmentation.h>`

## Public Member Functions

| Gaussian ()

## Public Attributes

Color | mu
| mean of the gaussian More...
Eigen::Matrix3f | covariance
| covariance matrix of the gaussian More...
float | determinant
| determinant of the covariance matrix More...
Eigen::Matrix3f | inverse
| inverse of the covariance matrix More...
float | pi
| weighting of this gaussian in the GMM. More...
float | eigenvalue
| heighest eigenvalue of covariance matrix More...
Eigen::Vector3f | eigenvector
| eigenvector corresponding to the heighest eigenvector More...

## Detailed Description

Gaussian structure.

Definition at line 201 of file grabcut_segmentation.h.

## Constructor & Destructor Documentation

## Gaussian()

pcl::segmentation::grabcut::Gaussian::Gaussian | ( |  | ) |

inline

Definition at line 203 of file grabcut_segmentation.h.

## Member Data Documentation

## covariance

Eigen::Matrix3f pcl::segmentation::grabcut::Gaussian::covariance

covariance matrix of the gaussian

Definition at line 207 of file grabcut_segmentation.h.

## determinant

float pcl::segmentation::grabcut::Gaussian::determinant

determinant of the covariance matrix

Definition at line 209 of file grabcut_segmentation.h.

## eigenvalue

float pcl::segmentation::grabcut::Gaussian::eigenvalue

heighest eigenvalue of covariance matrix

Definition at line 215 of file grabcut_segmentation.h.

## eigenvector

Eigen::Vector3f pcl::segmentation::grabcut::Gaussian::eigenvector

eigenvector corresponding to the heighest eigenvector

Definition at line 217 of file grabcut_segmentation.h.

## inverse

Eigen::Matrix3f pcl::segmentation::grabcut::Gaussian::inverse

inverse of the covariance matrix

Definition at line 211 of file grabcut_segmentation.h.

## mu

Color pcl::segmentation::grabcut::Gaussian::mu

mean of the gaussian

Definition at line 205 of file grabcut_segmentation.h.

## pi

float pcl::segmentation::grabcut::Gaussian::pi

weighting of this gaussian in the GMM.

Definition at line 213 of file grabcut_segmentation.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/grabcut_segmentation.h